# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXRGB

Function

Constructs an RGB color structure with the given components.

Syntax
`
#include <dx/dx.h>
`

RGBColor DXRGB(double r, double g, double b)

Functional Details

Fills in all three members of an RGB Color structure with the values `r`, `g`, and `b` at one time. RGB Colors are typically scaled between 0.0 and 1.0.

An `RGBColor` is defined as follows:
`
typedef struct rgbcolor {
float r, g, b;
} RGBColor;
`

Return Value

Returns the RGB color value.

See Also

`DXColorNameToRGB`

"Colors".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]